{% load humanize %}
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700"/>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="style.css"/>
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">
</head>
<style>

    @page {
        margin: 50px 0 100px; /* Margins: 2.5 cm on each side */
        mso-page-orientation: portrait;
    }

    .value {
        width: 50%;
        font-weight: 600;
        font-size: 16px;
    }
    body {
        font-family: serif;
        font-size: 14px;
    }

    .header {
        text-align: center;
    }

    .sub {
        font-size: 23px;
    }

    .container-panel {
        margin: 20px 80px;
    }

    .heading {
        font-weight: 600;
        line-height: 2;
    }

    .check-selection {
        justify-content: space-between;
        border: 1px solid #ccc;
        display: grid;
        grid-template-rows: auto;
        grid-template-columns: 2fr 2fr 2fr 3fr;
    }

    .column {
        border-left: 1px solid #ccc !important;
        padding: 10px;
        text-align: center !important;
    }

    .column:first-child {
        border-left: 0;
    }

    .table {
        margin: 20px 0;
    }

    .row {
        border: 2px solid #ccc;
        text-align: left;
        border-top: 1px solid #ccc;
        border-bottom: 1px solid #ccc;
        /*
        border-bottom: 1px solid #ccc !important;
        border-top: 0px solid #ccc !important;
        */
    }

    .row:first-child {
        border-top: 2px solid #ccc !important;
    }

    .row:last-child {
        border-bottom: 2px solid #ccc !important;
    }

    .column-1 {
        border-right: 2px solid #ccc;
        min-width: 300px;
        width: 300px;
        padding: 12px 12px 12px 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        font-weight: 600;
        font-size: 16px;
    }

    .column-2 {
        width: 50%;
        padding: 12px 12px 12px 20px;
    }

    .column-2 img {
        width: 100%;
        display: block;
    }

    .column-3 {
        border-right: 1px solid #ccc;
        width: 50%;
        padding: 12px 12px 12px 20px;
    }

    .change-cost {
        margin: 10px 0px;
        font-weight: 600;
        display: block;
        justify-content: space-between;
    }

    .description {
        font-weight: 500;
        padding: 0px;
    }

    .description .ql-editor {
        height: auto;
    }

    .description .ql-container {
        height: auto;
    }

    .signature-row {
        margin: 30px 0 0 0;
        border-top: 1px solid #ccc;
        width: 300px;
        padding-bottom: 40px;
    }

    span.label {
        display:block;
        word-wrap:break-word;
        width: 50%;
        font-weight: 400;
    }

    .checked {
        display: flex;
    }

    .decision {
        padding-top: 10px;
    }

    .signature {
        page-break-inside: avoid;
    }

    @media print {
        h2 {
            page-break-before: always;
        }

        h3, h4 {
            page-break-after: avoid;
        }

        pre, blockquote {
            page-break-inside: avoid;
        }
    }

    .table {
        page-break-inside: auto
    }

    .row {
        page-break-inside: avoid;
        page-break-after: auto;
        border: 1px solid #ccc;
        display: flex;
        text-align: left;
        margin: 0 0 0 0;
    }
    /**
    .bottom-section {
        page-break-inside: avoid;
        page-break-after: auto;
    }
    **/
    table {
    width: 100%;
    border-collapse: collapse;
    page-break-inside: avoid;

    }

    table, td {
        border: 1px solid;
    }

    td {
        padding: 5px 10px;
        word-break: break-word;
        vertical-align:middle;
    }

    td p {
         margin: 0;
      }

    pre.ql-syntax {
         white-space: pre-wrap;
         margin-bottom: 5px;
         margin-top: 5px;
         padding: 5px 10px;
         background-color: #23241f;
         color: #f8f8f2;
         overflow: visible;
         border-radius: 3px;
      }

    blockquote {
         border-left: 4px solid #ccc;
         margin-bottom: 5px;
         margin-top: 5px;
         padding-left: 16px;
      }

    .ql-align-center {
         text-align: center;
      }

    .ql-align-right {
         text-align: right;
      }

    .ql-align-justify {
         text-align: justify;
      }

    .pricing-table {
        width: 100%;
        padding: 0;
        vertical-align: baseline;
        border: #333 solid 1px;
        border-collapse: collapse;
        margin: 10px 0 0;
    }

    .pricing-table tr{
        margin: 0;
        padding: 0;
        vertical-align: baseline;
        word-break: break-word;
    }

    .pricing-table tr {
        line-height: 6px;
    }

    .pricing-table th {
        border: #333 solid 1px;
        text-align: left;
        margin: 0;
        padding: 8px;
        vertical-align: baseline;
        line-height: 1;
        background: #d9d9d9;
        color: #333;
        font-weight: 600;
        word-break: break-word;
    }

    .pricing-table th:nth-child(2) {
        text-align: center;
        border: none;
    }

    .pricing-table td {
        text-align: left;
        margin: 0;
        padding: 8px;
        line-height: 1;
        vertical-align: middle;
        background: #FFF;
        word-break: break-word;
        border: 1px solid #000;
    }

    .pricing-table td:nth-child(2) {
        text-align: center;
    }

    #signature-sect .first-row {
        margin-bottom: 60px;
        font-size: 16px;
    }

    #signature-sect {
        margin: 40px 0 0;
        width: fit-content;
    }


</style>

<body>
<img src={{ logo }} alt="" class="logo" style="width: 250px; margin-top: -20px; z-index: 1;"/>
<div class="header">
    <div class="sub">{{ change_request.name }}</div>
    <div class="sub">Change Request</div>
</div>
<div class="container-panel">
    <div class="table">
        <div class="row">
            <div class="column-3"><span class="label" style="width: 50%;"> Company: </span> <span
                    class="value" style="width: 50%;">{{ customer.name }}</span></div>
            <div class="column-2" style="width: 50%;"><span class="label"> Project: </span> <span
                    class="value" style="width: 50%;">{{  change_request.project.title }}</span></div>
        </div>
        <div class="row">
            <div class="column-3"><span class="label"> Change Name:  </span> <span
                    class="value">{{ change_request.name }}</span></div>
            <div class="column-2"><span class="label">Date:   </span> <span
                    class="value">{{ change_request.created_on|date }}</span></div>
        </div>
        <div class="row">
            <div class="column-3"><span class="label"> Change Number: </span> <span
                    class="value">{{ change_request.change_number }}</span>
            </div>
            <div class="column-2"><span class="label"> Change Requester: </span> <span
                    class="value">{{ change_request.requested_by.name }}</span></div>
        </div>
    </div>
    <h3 style="margin-top: 2rem; margin-bottom: 0.5rem;">I. Change Detail</h3>
    <div class="heading">Change Impacts:</div>
    <div class="check-selection">
        <div class="checked">
            <div class="column">Resources:</div>
            {% if "Resources" in json_config.change_affects.change_affects.value %}
                <div class="decision">Yes</div>
            {% else %}
                <div class="decision">No</div>
            {% endif %}
        </div>
        <div class="checked">
            <div class="column">Schedule:</div>
            {% if "Schedule" in json_config.change_affects.change_affects.value %}
                <div class="decision">Yes</div>
            {% else %}
                <div class="decision">No</div>
            {% endif %}
        </div>
        <div class="checked">
            <div class="column">Budget:</div>
            {% if "Budget" in json_config.change_affects.change_affects.value %}
                <div class="decision">Yes</div>
            {% else %}
                <div class="decision">No</div>
            {% endif %}
        </div>
        <div class="checked">
            <div class="column">Deliverables/Requirements:</div>
            {% if "Deliverables/Requirements" in json_config.change_affects.change_affects.value %}
                <div class="decision">Yes</div>
            {% else %}
                <div class="decision">No</div>
            {% endif %}
        </div>

    </div>
    <div class="table">
        <div class="row">
            <div class="column-1">Change Description</div>
            <div class="column-2">
                <div class="ql-container ql-snow">
                  <div class="ql-editor">
                    {{ json_config.change_description.change_description.value|safe }}
                  </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="column-1">Reason for Change</div>
            <div class="column-2">
                <div class="ql-container ql-snow">
                  <div class="ql-editor">
                    {{ json_config.reason.reason.value|safe }}
                  </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="column-1">Alternates to consider</div>
            <div class="column-2">
                <div class="ql-container ql-snow">
                  <div class="ql-editor">
                    {{ json_config.alternates.alternates.value|safe }}
                  </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="column-1">Technical changes required to implement this change</div>
            <div class="column-2">
                <div class="ql-container ql-snow">
                  <div class="ql-editor">
                    {{ json_config.technical_changes.technical_changes.value|safe }}
                  </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="column-1">Risk Level</div>
            <div class="column-2" style="margin-left: 12px;">{{ json_config.risk.risk.value|safe }}</div>
        </div>
        <div class="row">
            <div class="column-1">Impact</div>
            <div class="column-2">
                <div class="ql-container ql-snow">
                  <div class="ql-editor">
                    {{ json_config.change_impact.change_impact.value|safe }}
                  </div>
                </div>
            </div>
        </div>
    </div>
    {% if is_t_and_m_doc %}
        <section>
            <h3>
                II. Rates
            </h3>
            <table class="pricing-table">
                <tr>
                    <th>
                        Service Description
                    </th>
                    <th>
                        Hourly Rate
                    </th>
                </tr>
                <tr>
                    <td>
                        Engineering Hours
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.engineering_hourly_rate|safe |intcomma }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Engineering After Hours
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.after_hours_rate|safe |intcomma }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Integration Technician Hours
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.integration_technician_hourly_rate|safe |intcomma }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Project Management Hours
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.project_management_hourly_rate|safe |intcomma }}
                    </td>
                </tr>
                {% for hourly_resource in json_config.service_cost.hourly_resources %}
                    <tr>
                        <td>
                            {{ hourly_resource.resource_name }}
                        </td>
                        <td>
                            {% load humanize %}
                            $ {{ hourly_resource.hourly_rate }}
                        </td>
                    </tr>
                {% endfor %}
            </table>
        </section>
        <br>
        <section>
            <h3>
                III. Estimated hours
            </h3>
            <table class="pricing-table">
                <tr>
                    <th>
                        Service Description
                    </th>
                    <th>
                        Hours
                    </th>
                </tr>
                <tr>
                    <td>
                        Engineering
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.engineering_hours|safe |intcomma }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Engineering After Hours
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.after_hours|safe |intcomma }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Integration Technician
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.integration_technician_hours|safe |intcomma }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Project Management
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.project_management_hours|safe |intcomma }}
                    </td>
                </tr>
                {% for hourly_resource in json_config.service_cost.hourly_resources %}
                    <tr>
                        <td>
                            {{ hourly_resource.resource_name }}
                        </td>
                        <td>
                            {% load humanize %}
                            {{ hourly_resource.hours }}
                        </td>
                    </tr>
                {% endfor %}
            </table>
        </section>
    {% endif %}
    <div class="bottom-section">
        {% if is_t_and_m_doc %}
            <h3 style="margin-bottom: 0; margin-top: 2rem;"> IV. Terms & Conditions: </h3>
        {% else %}
            <h3 style="margin-bottom: 0; margin-top: 2rem;"> II. Terms & Conditions:</h3>
        {% endif %}
        <div class="description">
            {%  if terms_and_condition %}
                <div class="ql-container ql-snow">
                  <div class="ql-editor">
                    {{ terms_and_condition|safe }}
                  </div>
                </div>
            {% else %}
                This change order should be considered an addendum to {{ change_request.project.title }} SOW
                executed
                on {{ change_request.created_on|date }}
                by LookingPoint and {{ change_request.project.customer.name }}. By way of extension, all terms and
                conditions apply to this addendum by extension. Upon
                receiving signed Change Request 100% of professional services will be billed.
            {% endif %}
        </div>
    </div>
    <div style="page-break-inside: avoid;">
        {% if is_t_and_m_doc %}
            <h3> V. Costs </h3>
        {% else %}
            <h3> III. Costs </h3>
        {% endif %}
        {% if not json_config.service_cost.is_zero_dollar_change_request %}
            <table class="pricing-table">
                <tr>
                    <th>
                        Service Description
                    </th>
                    <th>
                        Cost
                    </th>
                </tr>
                <tr>
                    <td>
                        Change Cost
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.customer_cost|intcomma }}
                    </td>
                </tr>
            </table>
        {% else %}
            <div class="change-cost">Waived Change Cost:
                <span>${{ json_config.service_cost.customer_cost|intcomma }}</span></div>
            <div class="change-cost"> Customer Cost: <span>$0</span></div>
        {% endif %}
        <br>
            <div id="signature-sect">
                <div class="first-row">
                    <strong>Customer Signature: ________________________________</strong> &emsp;
                    <strong style="margin-left: 4rem;">Date: __________________________________</strong>
                </div>
            </div>
            <div id="signature-sect">
                <div class="first-row">
                    <strong>Customer Name: _________________________________</strong> &emsp;
                    <strong style="margin-left: 5rem;">Title: __________________________________</strong>
                </div>
            </div>
        </div>
    </div>
</body>
</html>